Loading...
Searching...
No Matches
SolverPluginInterface Class Referenceabstract

`#include <solver_interfaces.h>`

Inheritance diagram for SolverPluginInterface:
[legend]
Collaboration diagram for SolverPluginInterface:
[legend]

## Public Member Functions

| ~SolverPluginInterface () override=default
virtual void | log_time (double t, double dt)=0

## Constructor & Destructor Documentation

## ~SolverPluginInterface()

SolverPluginInterface::~SolverPluginInterface | ( |  | ) |

overridedefault

## Member Function Documentation

## log_time()

virtual void SolverPluginInterface::log_time | ( | double | t,
|  | double | dt )

pure virtual

The documentation for this class was generated from the following file:

- src/include/gridfire/interfaces/solver/solver_interfaces.h